Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate Class Reference

Parser for URLAliasCreate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate:

## Public Member Functions
| __construct (ParserTools $parserTools)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $parserTools
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for URLAliasCreate.

Definition at line 17 of file URLAliasCreate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate::__construct | ( | ParserTools | $parserTools | ) |

Construct.

Parameters

  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |

Definition at line 31 of file URLAliasCreate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  array

Definition at line 44 of file URLAliasCreate.php.

## Member Data Documentation

## ◆ $parserTools

eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate::$parserTools
| protected

Definition at line 24 of file URLAliasCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\URLAliasCreate\__construct().

The documentation for this class was generated from the following file:

- URLAliasCreate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.